embedded_analytics.original.png

Les composants à installer :

Le bridge :


Seul composant à installer pour faire fonctionner Nodata, ce Servlet Javas sera le seul élément reliant les sources de données et les dashboards dans le navigateur des utilisateurs.
Entièrement paramétrable, le bridge gère ainsi la sécurité des requêtes et l’authentification des utilisateurs autorisés à interroger les données.

  • OS : Windows ou Linux
  • Deux possibilités pour deployer le bridge Nodata :
  • Option 1 -> Serveur d'application Java (Tomcat 8+, Websphere 8.5+, JIboss 6+)
  • Option 2 -> Docker 17+

(NB :  le bridge existe également en stand alone (auto-porté) - non recommandé pour l’environnement de production)

Configuration minimum :

  • RAM : Min 4 Go (Recommandé 8)
  • CPU : Min 1 (Recommandé 2)
  • Espace disque : Min 2 Gb

Une base elastic search (optionnel)

Lors de l’utilisation des fonctions collaboratives de Nodata, les utilisateurs ont la possibilité de saisir des commentaires, qui sont considérés comme de la donnée à part entière. Dans le cas où cette fonctionnalité est utilisée, le bridge doit pouvoir communiquer avec une base Elasticsearch qui se chargera du stockage de ces commentaires et des meta-données associées.


Configuration minimum :

  • Min 1 nœud
  • Min 8 Go RAM par nœud
  • Espace disque : min 4 Gb
  • Version 2.4+ / 5+?
Flux - network flow
installation-security-authentication

Flux réseaux :

Du poste de travail vers secure.nodata.cloud

Protocole :

  • HTTPS ( versions : TLSv1 TLSv1.1 TLSv1.2, HSTS active, chiffrement : HIGH:!aNULL:!MD5 or HIGH:!aNULL:!MD5:!3DES )

Type de contenu :

  • HTML, CSS, Javascript.

Du poste de travail vers le bridge :

Protocole :

  • HTTPS (tel que défini lors de l’installation)

Type de contenu :

  • Données nécessaires à la construction du dashboard

Du bridge vers la source de données :

Protocole :

  • Natif à la base de données
  • Http (communication par API)

Type de contenu :

  • Données nécessaires à la construction du dashboard

Authentification/securité :

Supporté :

  • User /password
  • SAML V2